Event.Type (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Enum Event.Type

- java.lang.Object
- - java.lang.Enum<Event.Type>
  - - org.apache.cassandra.transport.Event.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.Type>
  Enclosing class:
    Event

      public static enum Event.Type
      extends java.lang.Enum<Event.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SCHEMA_CHANGE`
    `STATUS_CHANGE`
    `TOPOLOGY_CHANGE`
    `TRACE_COMPLETE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `minimumVersion`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOPOLOGY_CHANGE

          public static final Event.Type TOPOLOGY_CHANGE

    - #### STATUS_CHANGE

          public static final Event.Type STATUS_CHANGE

    - #### SCHEMA_CHANGE

          public static final Event.Type SCHEMA_CHANGE

    - #### TRACE_COMPLETE

          public static final Event.Type TRACE_COMPLETE

  - ### Field Detail

    - #### minimumVersion

          public final int minimumVersion

  - ### Method Detail

    - #### values

          public static Event.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.Type c : Event.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation